Bug 177722 - SA18431 PHP Multiple Vulnerabilities
Summary: SA18431 PHP Multiple Vulnerabilities
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL: http://secunia.com/advisories/18431/
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-13 13:23 UTC by Ignacio Vazquez-Abrams
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 13:36:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ignacio Vazquez-Abrams 2006-01-13 13:23:09 UTC
"1) Input passed to the session ID in the session extension isn't properly
sanitised before being returned to the user via a "Set-Cookie" HTTP header.

2) A format string error in the processing of error messages in the mysqli
extension may be exploited to execute arbitrary code by causing an exception in
an application where the error message can be controlled by the attacker.

3) Some unspecified input passed under certain error conditions isn't properly
sanitised before being returned to the user."

Comment 1 Joe Orton 2007-03-23 13:36:24 UTC
These affected PHP <5.1.2.


Note You need to log in before you can comment on or make changes to this bug.